/*
Theme Name: Esto Stolze
Author: Sebastian Graßl
Author URI: https://www.werbung-ms.de
Theme URI: https://www.esto-stolze.de
Template:   twentytwentyfive
Tags: full-site-editing, editor-style, block-styles, block-patterns
Text Domain: estostolze
Requires at least: 7.0
Requires PHP: 8.3
Tested up to: 7.0
Version: 1.0.0

License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

/* Styles intended only for the front.*/

/* https://www.365iwebdesign.co.uk/news/2026/01/26/wordpress-navigation-block-hamburger-menu-css-fix/ */

@media screen and (max-width: 1280px) {
  /* Show the hamburger button */
  .wp-block-navigation__responsive-container-open {
    display: block !important;
  }

  /* Hide the full menu, but only when the modal is closed */
  .wp-block-navigation__responsive-container:not(.is-menu-open.has-modal-open) {
    display: none !important;
  }
}
@media( min-width: 782px ){

.pgcsimplygalleryblock-slider-item {
    padding-top: 50px;
    padding-bottom: 50px;
}
.pgcsimplygalleryblock-slider-item img:not(.emoji)
 {
    position: absolute;
    display: block;
    border: 0;
    margin: 0;
    padding: 0;
    max-height: none !important;
    max-width: none !important;
    min-height: 0 !important;
    min-width: 0 !important;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    width: auto !important;
    height: 100% !important;
    max-height: 100% !important;

    top: 0 !important;
    left: 60px !important;
 }
 
 
 .pgcsimplygalleryblock-slider-item .pgcsimplygalleryblock-slider-item-inner.pgc-bottom-align .pgcsimplygalleryblock-slider-title-wrap {
   top: unset;
   bottom: 1em;
   right: -0;
   left: unset;
   
   width: 250px;
   bottom: 3rem !important;
   padding: 20px;
  }
}

.pgc-rev-lb-b-info-wrap {
    .pgc-rev-lb-b-item-title {
        top: 200px;
        left: 200px;
    }
}

strong {
    font-weight: 700;
}

@media( max-width: 781px ){
.col-is-something-strange {
  figure {
    flex-basis: 48.2%;
  }
}
}

.wp-block-navigation__responsive-container-close svg,
.wp-block-navigation__responsive-container-open svg {
  width: 34px;
  height: 34px;
}

.wp-block-navigation-overlay-close svg {
  fill: #fff;
  width: 34px;
  height: 34px;
}

.header-navigation {
  margin-left: auto !important;
}

.wp-block-social-links .wp-social-link svg {
    height: 1.4em;
    width: 1.4em;
}